- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.MultiMig.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.MultiMig.SCHEMA_REPRESENTATION.status.SCHEMA_REPRESENTATION)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.MultiMig.SCHEMA_REPRESENTATION.status.SCHEMA_REPRESENTATION.accelerator_topology_state_last_check.SCHEMA_REPRESENTATION)
        - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.MultiMig.SCHEMA_REPRESENTATION.status.SCHEMA_REPRESENTATION.accelerator_topology_state_last_check.SCHEMA_REPRESENTATION.error.SCHEMA_REPRESENTATION)
          - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.MultiMig.SCHEMA_REPRESENTATION.status.SCHEMA_REPRESENTATION.accelerator_topology_state_last_check.SCHEMA_REPRESENTATION.error.SCHEMA_REPRESENTATION.help.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionMultiMigs/get#try-it)

Returns all the details of a specific multi-MIG.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/multiMigs/{multiMig}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region for this request. |
| `multiMig` | `string` Name of the multi-MIG resource to return. |

### Request body

The request body must be empty.

### Response body

Multi-MIG represents a group of managed instance groups.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "region": string, "resourcePolicies": { "workloadPolicy": string }, "status": { "membersCount": integer, "appliedAcceleratorTopologies": [ { "acceleratorTopology": string, "acceleratorTopologyState": enum, "acceleratorTopologyStateLastCheck": { "timestamp": string, "error": { "errors": [ { "code": string, "location": string, "message": string, "errorDetails": [ { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "errorInfo": { "reason": string, "domain": string, "metadatas": { string: string, ... } }, "quotaInfo": { "metricName": string, "limitName": string, "dimensions": { string: string, ... }, "limit": number, "futureLimit": number, "rolloutStatus": enum }, "help": { "links": [ { "description": string, "url": string } ] }, "localizedMessage": { "locale": string, "message": string } // End of mutually exclusive fields. } ] } ] } } } ] } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#multiMig` for multi-MIGs. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for this resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. The creation timestamp of this multi-MIG in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` The name of the multi-MIG. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `region` | `string` Output only. The URL of the region where the resource resides. You must specify this field as part of the HTTP request URL. You cannot set the region as a field in the request body. |
| `resourcePolicies` | `object` Resource policies for this multi-MIG. |
| `resourcePolicies.workloadPolicy` | `string` The URL of the workload policy for this multi-MIG. It can be a full or partial URL. For example, the following are all valid URLs to a workload policy: - `https://www.googleapis.com/compute/v1/projects/project/regions/region/resourcePolicies/resourcePolicy` - `projects/project/regions/region/resourcePolicies/resourcePolicy` - `regions/region/resourcePolicies/resourcePolicy` <br /> |
| `status` | `object` |
| `status.membersCount` | `integer` Output only. The number of instance group manager members in this multi-MIG. |
| `status.appliedAcceleratorTopologies[]` | `object` Output only. The accelerator topology applied to this multi-MIG. Currently only one accelerator topology is supported. |
| `status.appliedAcceleratorTopologies[].acceleratorTopology` | `string` Output only. Topology in the format of: "16x16", "4x4x4", etc. The value is the same as configured in the WorkloadPolicy. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyState` | `enum` Output only. The state of the accelerator topology. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck` | `object` Output only. The result of the latest accelerator topology state check. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.timestamp` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp is shown only if there is an error. The field has // [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) // text format. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error` | `object` Output only. Encountered errors on the last state check. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[]` | `object` Output only. The array of errors encountered while processing this operation. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].code` | `string` Output only. The error type identifier for this error. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].location` | `string` Output only. Indicates the field in the request that caused the error. This property is optional. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].message` | `string` Output only. An optional, human-readable error message. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[]` | `object` Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].errorInfo` | `object` Error information containing structured domain, reason, and metadata. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].errorInfo.reason` | `string` The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of `[A-Z][A-Z0-9_]+[A-Z0-9]`, which represents UPPER_SNAKE_CASE. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].errorInfo.domain` | `string` The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com". |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].errorInfo.metadatas` | `map (key: string, value: string)` Additional structured details about this error. Keys must match a regular expression of `[a-z][a-zA-Z0-9-_]+` but should ideally be lowerCamelCase. Also, they must be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than `{"instanceLimit": "100/request"}`, should be returned as, `{"instanceLimitPerRequest": "100"}`, if the client exceeds the number of instances that can be created in a single (batch) request. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo` | `object` Details about quota limits and metrics when a quota is exceeded. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo.metricName` | `string` The Compute Engine quota metric name. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo.limitName` | `string` The name of the quota limit. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo.dimensions` | `map (key: string, value: string)` The map holding related quota dimensions. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo.limit` | `number` Current effective quota limit. The limit's unit depends on the quota type or metric. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo.futureLimit` | `number` Future quota limit being rolled out. The limit's unit depends on the quota type or metric. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].quotaInfo.rolloutStatus` | `enum` Rollout status of the future quota limit. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].help` | `object` Links and information to help the user resolve the error. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].help.links[]` | `object` URL(s) pointing to additional information on handling the current error. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].help.links[].description` | `string` Describes what the link offers. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].help.links[].url` | `string` The URL of the link. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].localizedMessage` | `object` A localized human-readable error message intended for end users. |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].localizedMessage.locale` | `string` The locale used following the specification defined at <https://www.rfc-editor.org/rfc/bcp/bcp47.txt>. Examples are: "en-US", "fr-CH", "es-MX" |
| `status.appliedAcceleratorTopologies[].acceleratorTopologyStateLastCheck.error.errors[].errorDetails[].localizedMessage.message` | `string` The localized error message in the above locale. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.multiMig.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).